## net.sf.jftp.event
Class EventCollector

    java.lang.Object
      net.sf.jftp.event.EventCollector

All Implemented Interfaces:
  Acceptor

    public class EventCollector

extends java.lang.Object
implements Acceptor

Field Summary
`protected java.util.Vector` `buffer`

Constructor Summary
`EventCollector()`

Method Summary
`void` `accept(Event e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### buffer

    protected java.util.Vector buffer

Constructor Detail

### EventCollector

    public EventCollector()

Method Detail

### accept

    public void accept(Event e)

  Specified by:
    `accept` in interface `Acceptor`